Bug 1770218 - Plugin navigation items can't be added as a first item in the navigation section
Summary: Plugin navigation items can't be added as a first item in the navigation section
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Jiri Tomasek
QA Contact: Jiri Tomasek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-08 14:07 UTC by Jiri Tomasek
Modified: 2020-05-04 11:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:15:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
Bare Metal Hosts nav item position (133.36 KB, image/png)
2020-01-13 12:49 UTC, Jiri Tomasek
no flags Details
BareMetalHostsPositionVerified (210.96 KB, image/png)
2020-01-16 09:29 UTC, Yadan Pei
no flags Details
4.4 Bare Metal Hosts Position (160.68 KB, image/png)
2020-01-19 01:13 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3310 None closed Bug 1770218: Replace mergeAfter with mergeBefore 2020-02-05 05:47:45 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:15:34 UTC

Description Jiri Tomasek 2019-11-08 14:07:03 UTC
Description of problem:
Currently there is an 'mergeAfter' option on plugin navigation items which allows plugins to define where the navigation item should land in the section. This solution does not cover all use cases though.

1. It is not possible to put plugin nav item as first item in the section
2. Plugin nav items can't be merged after a separator as this one can't be identified (IOW plugin nav item can't be put as first item after a separator).

Comment 1 Jiri Tomasek 2019-11-08 14:08:31 UTC
Low severity as AFAIK the lack of functionality does not affect any existing plugin nav items.

Comment 3 Yadan Pei 2019-12-18 07:45:04 UTC
Hi Jiri,

I didn't figure out how to verify this bug, can you please tell me how to verify it?

Comment 4 Yadan Pei 2020-01-13 05:37:57 UTC
Hi Jiri,

Can you help verify this bug?

Comment 5 Jiri Tomasek 2020-01-13 12:49:49 UTC
Created attachment 1651857 [details]
Bare Metal Hosts nav item position

Hi, this functionality is currently used only in kubevirt and metal3 plugins. I can provide you with the bare metal setup to verify the bug. I think the simplest way to verify the bug is to ensure that 'Bare Metal Hosts' navigation item renders correctly before Compute section separator ('ComputeSeparator') as defined in the metal3 plugin. (See the attachment)

Comment 6 Yadan Pei 2020-01-14 01:07:59 UTC
(In reply to Jiri Tomasek from comment #5)
> Created attachment 1651857 [details]
> Bare Metal Hosts nav item position
> 
> Hi, this functionality is currently used only in kubevirt and metal3
> plugins. I can provide you with the bare metal setup to verify the bug. I
> think the simplest way to verify the bug is to ensure that 'Bare Metal
> Hosts' navigation item renders correctly before Compute section separator
> ('ComputeSeparator') as defined in the metal3 plugin. (See the attachment)

That would be great! Can you tell me the steps to set up bare metal?

Comment 7 Jiri Tomasek 2020-01-14 12:58:27 UTC
I think best would be to get in touch with Constantin Vultur who has QE bare metal cluster setups available.

Comment 8 Constantin Vultur 2020-01-15 09:55:22 UTC
I have the 2 deployments that have the metal3 plugin installed. Contact me for details

Comment 9 Yadan Pei 2020-01-16 09:25:42 UTC
On an OCP cluster with version: 4.3.0-0.nightly-2020-01-09-234847 and metal3 plugin installed, Bare Metal Hosts are just before the Compute section separator, see screenshot attached

This bug is targeted at 4.4.0, do I still need to verify the fix on 4.4?

Comment 10 Yadan Pei 2020-01-16 09:29:01 UTC
Created attachment 1652692 [details]
BareMetalHostsPositionVerified

Comment 11 Yadan Pei 2020-01-19 01:12:37 UTC
Verified on 4.4.0-0.nightly-2020-01-14-004804 , Bare Metal Hosts are rendered before the Compute section separator, see screenshot

Comment 12 Yadan Pei 2020-01-19 01:13:12 UTC
Created attachment 1653510 [details]
4.4 Bare Metal Hosts Position

Comment 14 errata-xmlrpc 2020-05-04 11:15:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.